/**
 * @file vario_model.h
 * @brief declaration : theoretical variogram models
 * @author Tomohiko Mukai
 */
#ifndef	VARIOGRAM_MODEL_HEADER_
#define	VARIOGRAM_MODEL_HEADER_

#include <stddef.h>

/**
 * @struct LSFParam vario_model.h
 * @brief variogram cloud structure for GSL least square fitting solver
 * @author Tomohiko Mukai
 */
struct LSFParam
{
	//! number of sample pairs
	size_t n;
	//! container for distance
	double *dist;
	//! container for dissimilarity
	double *vario;
	//! power coefficient of stable variograms
	double power;
};

#include "model_sph.h"
#include "model_stable.h"

#endif	//VARIOGRAM_MODEL_HEADER_
